Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerFont Class Reference

`#include <ExManagerFont.h>`

Inheritance diagram for ExManagerFont:

## Public Methods
void | Reset (void)
void | Init (void)
void | WriteBitmapFont (std::string text, int PosX, int PosY, int CharSizeX, int CharSizeY, std::string Font)
## Static Public Methods
ExManagerFont * | CreateSingleton (void)
## Private Methods
| ExManagerFont (void)
| ~ExManagerFont (void)
## Static Private Attributes
bool | m_flag = false
ExManagerFont * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerFont | ( | void |  | ) | `[private]`

| Definition at line 42 of file ExManagerFont.cpp.
    00043 {
    00044 }

~ExManagerFont | ( | void |  | ) | `[private]`

| Definition at line 46 of file ExManagerFont.cpp.
    00047 {
    00048 }

## Member Function Documentation

ExManagerFont * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 28 of file ExManagerFont.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00028                                                  {
    00029 Guard(ExManagerFont* ExManagerFont::CreateSingleton(void))
    00030         if(!m_flag)
    00031         {
    00032                 m_flag = true; // We are creating the error log now, so set flag to true
    00033                 m_instance = new ExManagerFont; // Create the error log
    00034         }else
    00035         {
    00036                 std::cout<<"Error singleton already created"<<std::endl;
    00037         }
    00038         return m_instance;
    00039 UnGuard
    00040 }

void Init | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManagerObject< ExCFont >. Definition at line 54 of file ExManagerFont.cpp. References ExManagerObject< ExCFont >::Add(), ExManagerObject::Init(), and ExCObject::SetName(). Referenced by InitManager().
    00055 {
    00056         ExManagerObject<ExCFont>::Init();
    00057         ExCFont Font;
    00058         Font.SetName("FontTest");
    00059         Add(Font);
    00060 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManagerObject< ExCFont >. Definition at line 50 of file ExManagerFont.cpp.
    00051 {
    00052 }

void WriteBitmapFont | ( | std::string | text,
|  | int | PosX,
|  | int | PosY,
|  | int | CharSizeX,
|  | int | CharSizeY,
|  | std::string | Font
| ) |

| Definition at line 62 of file ExManagerFont.cpp.
    00063 {
    00064 }

## Field Documentation

bool m_flag = false`[static, private]`

| Definition at line 25 of file ExManagerFont.cpp. Referenced by CreateSingleton().

ExManagerFont * m_instance = NULL`[static, private]`

| Definition at line 26 of file ExManagerFont.cpp. Referenced by CreateSingleton().

The documentation for this class was generated from the following files:

- ExManagerFont.h
- ExManagerFont.cpp